curl --request PUT \
--url https://api.nuvia.ai/v1/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"welcome_message": {
"content": "<string>",
"resourceId": "<string>"
},
"prompts": {
"service_prompt": "<string>",
"name": "<string>",
"role": "<string>",
"mission": "<string>",
"personality": [
{
"type": "text",
"content": "<string>"
}
],
"communication_style": [
{
"type": "text",
"content": "<string>"
}
],
"rules": [
{
"type": "text",
"content": "<string>"
}
],
"use_sender_name": true
},
"agent_flow": "<string>",
"general_config": {
"should_split_text_messages": true,
"should_auto_change_step": true
},
"model_config": {
"temperature": 1,
"top_p": 0.5
},
"specialist_config": {
"icp_description": "<string>"
},
"avatar_color": "<string>",
"avatar_initials": "<string>",
"personality_presets": [],
"knowledge_base": [
"<string>"
]
}
'import requests
url = "https://api.nuvia.ai/v1/agents/{id}"
payload = {
"name": "<string>",
"welcome_message": {
"content": "<string>",
"resourceId": "<string>"
},
"prompts": {
"service_prompt": "<string>",
"name": "<string>",
"role": "<string>",
"mission": "<string>",
"personality": [
{
"type": "text",
"content": "<string>"
}
],
"communication_style": [
{
"type": "text",
"content": "<string>"
}
],
"rules": [
{
"type": "text",
"content": "<string>"
}
],
"use_sender_name": True
},
"agent_flow": "<string>",
"general_config": {
"should_split_text_messages": True,
"should_auto_change_step": True
},
"model_config": {
"temperature": 1,
"top_p": 0.5
},
"specialist_config": { "icp_description": "<string>" },
"avatar_color": "<string>",
"avatar_initials": "<string>",
"personality_presets": [],
"knowledge_base": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
welcome_message: {content: '<string>', resourceId: '<string>'},
prompts: {
service_prompt: '<string>',
name: '<string>',
role: '<string>',
mission: '<string>',
personality: [{type: 'text', content: '<string>'}],
communication_style: [{type: 'text', content: '<string>'}],
rules: [{type: 'text', content: '<string>'}],
use_sender_name: true
},
agent_flow: '<string>',
general_config: {should_split_text_messages: true, should_auto_change_step: true},
model_config: {temperature: 1, top_p: 0.5},
specialist_config: {icp_description: '<string>'},
avatar_color: '<string>',
avatar_initials: '<string>',
personality_presets: [],
knowledge_base: ['<string>']
})
};
fetch('https://api.nuvia.ai/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuvia.ai/v1/agents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'welcome_message' => [
'content' => '<string>',
'resourceId' => '<string>'
],
'prompts' => [
'service_prompt' => '<string>',
'name' => '<string>',
'role' => '<string>',
'mission' => '<string>',
'personality' => [
[
'type' => 'text',
'content' => '<string>'
]
],
'communication_style' => [
[
'type' => 'text',
'content' => '<string>'
]
],
'rules' => [
[
'type' => 'text',
'content' => '<string>'
]
],
'use_sender_name' => true
],
'agent_flow' => '<string>',
'general_config' => [
'should_split_text_messages' => true,
'should_auto_change_step' => true
],
'model_config' => [
'temperature' => 1,
'top_p' => 0.5
],
'specialist_config' => [
'icp_description' => '<string>'
],
'avatar_color' => '<string>',
'avatar_initials' => '<string>',
'personality_presets' => [
],
'knowledge_base' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nuvia.ai/v1/agents/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"welcome_message\": {\n \"content\": \"<string>\",\n \"resourceId\": \"<string>\"\n },\n \"prompts\": {\n \"service_prompt\": \"<string>\",\n \"name\": \"<string>\",\n \"role\": \"<string>\",\n \"mission\": \"<string>\",\n \"personality\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"communication_style\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"rules\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"use_sender_name\": true\n },\n \"agent_flow\": \"<string>\",\n \"general_config\": {\n \"should_split_text_messages\": true,\n \"should_auto_change_step\": true\n },\n \"model_config\": {\n \"temperature\": 1,\n \"top_p\": 0.5\n },\n \"specialist_config\": {\n \"icp_description\": \"<string>\"\n },\n \"avatar_color\": \"<string>\",\n \"avatar_initials\": \"<string>\",\n \"personality_presets\": [],\n \"knowledge_base\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.nuvia.ai/v1/agents/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"welcome_message\": {\n \"content\": \"<string>\",\n \"resourceId\": \"<string>\"\n },\n \"prompts\": {\n \"service_prompt\": \"<string>\",\n \"name\": \"<string>\",\n \"role\": \"<string>\",\n \"mission\": \"<string>\",\n \"personality\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"communication_style\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"rules\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"use_sender_name\": true\n },\n \"agent_flow\": \"<string>\",\n \"general_config\": {\n \"should_split_text_messages\": true,\n \"should_auto_change_step\": true\n },\n \"model_config\": {\n \"temperature\": 1,\n \"top_p\": 0.5\n },\n \"specialist_config\": {\n \"icp_description\": \"<string>\"\n },\n \"avatar_color\": \"<string>\",\n \"avatar_initials\": \"<string>\",\n \"personality_presets\": [],\n \"knowledge_base\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuvia.ai/v1/agents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"welcome_message\": {\n \"content\": \"<string>\",\n \"resourceId\": \"<string>\"\n },\n \"prompts\": {\n \"service_prompt\": \"<string>\",\n \"name\": \"<string>\",\n \"role\": \"<string>\",\n \"mission\": \"<string>\",\n \"personality\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"communication_style\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"rules\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"use_sender_name\": true\n },\n \"agent_flow\": \"<string>\",\n \"general_config\": {\n \"should_split_text_messages\": true,\n \"should_auto_change_step\": true\n },\n \"model_config\": {\n \"temperature\": 1,\n \"top_p\": 0.5\n },\n \"specialist_config\": {\n \"icp_description\": \"<string>\"\n },\n \"avatar_color\": \"<string>\",\n \"avatar_initials\": \"<string>\",\n \"personality_presets\": [],\n \"knowledge_base\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"_id": {},
"name": "<string>",
"agent_flow": {
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>",
"type": "N8N"
},
"prompts": {
"service_prompt": "<string>",
"name": "<string>",
"role": "<string>",
"mission": "<string>",
"personality": [
{}
],
"communication_style": [
{}
],
"rules": [
{}
],
"use_sender_name": true
},
"company": {
"_id": {},
"name": "<string>",
"channels": [
"WAP_AUTO_CLOSER"
],
"agent_flows": [
{
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>",
"type": "N8N"
}
],
"description": "<string>",
"status": "ACTIVE",
"domains": [
"<string>"
],
"site": "<string>",
"general_config": {},
"agent_builder_mcp_enabled": true,
"client_mcp_servers_enabled": true,
"auto_join_enabled": true,
"subscription": {},
"document_type": "br_cnpj",
"document_number": "<string>",
"stripe_customer_id": "<string>",
"billing_external": true,
"billing_partner": true,
"onboarding": {},
"attribution": {}
},
"model_config": {},
"status": "ACTIVE",
"general_config": {},
"specialist_config": {},
"knowledge_base": [
{}
],
"avatar_color": "<string>",
"avatar_initials": "<string>",
"personality_presets": [
"FRIENDLY"
],
"steps": [
{
"_id": {},
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"order": 123,
"type": "INITIAL",
"agent": "<unknown>",
"company": {
"_id": {},
"name": "<string>",
"channels": [
"WAP_AUTO_CLOSER"
],
"agent_flows": [
{
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>",
"type": "N8N"
}
],
"description": "<string>",
"status": "ACTIVE",
"domains": [
"<string>"
],
"site": "<string>",
"general_config": {},
"agent_builder_mcp_enabled": true,
"client_mcp_servers_enabled": true,
"auto_join_enabled": true,
"subscription": {},
"document_type": "br_cnpj",
"document_number": "<string>",
"stripe_customer_id": "<string>",
"billing_external": true,
"billing_partner": true,
"onboarding": {},
"attribution": {}
},
"mentions": [
{}
],
"general_config": {
"disable_followups": true,
"should_auto_run_on_enter": true,
"disable_ai_response": true
},
"meta_event_name": "ViewContent",
"stage_criteria": "<string>"
}
]
}Update agent
Updates the information of an existing agent.
curl --request PUT \
--url https://api.nuvia.ai/v1/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"welcome_message": {
"content": "<string>",
"resourceId": "<string>"
},
"prompts": {
"service_prompt": "<string>",
"name": "<string>",
"role": "<string>",
"mission": "<string>",
"personality": [
{
"type": "text",
"content": "<string>"
}
],
"communication_style": [
{
"type": "text",
"content": "<string>"
}
],
"rules": [
{
"type": "text",
"content": "<string>"
}
],
"use_sender_name": true
},
"agent_flow": "<string>",
"general_config": {
"should_split_text_messages": true,
"should_auto_change_step": true
},
"model_config": {
"temperature": 1,
"top_p": 0.5
},
"specialist_config": {
"icp_description": "<string>"
},
"avatar_color": "<string>",
"avatar_initials": "<string>",
"personality_presets": [],
"knowledge_base": [
"<string>"
]
}
'import requests
url = "https://api.nuvia.ai/v1/agents/{id}"
payload = {
"name": "<string>",
"welcome_message": {
"content": "<string>",
"resourceId": "<string>"
},
"prompts": {
"service_prompt": "<string>",
"name": "<string>",
"role": "<string>",
"mission": "<string>",
"personality": [
{
"type": "text",
"content": "<string>"
}
],
"communication_style": [
{
"type": "text",
"content": "<string>"
}
],
"rules": [
{
"type": "text",
"content": "<string>"
}
],
"use_sender_name": True
},
"agent_flow": "<string>",
"general_config": {
"should_split_text_messages": True,
"should_auto_change_step": True
},
"model_config": {
"temperature": 1,
"top_p": 0.5
},
"specialist_config": { "icp_description": "<string>" },
"avatar_color": "<string>",
"avatar_initials": "<string>",
"personality_presets": [],
"knowledge_base": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
welcome_message: {content: '<string>', resourceId: '<string>'},
prompts: {
service_prompt: '<string>',
name: '<string>',
role: '<string>',
mission: '<string>',
personality: [{type: 'text', content: '<string>'}],
communication_style: [{type: 'text', content: '<string>'}],
rules: [{type: 'text', content: '<string>'}],
use_sender_name: true
},
agent_flow: '<string>',
general_config: {should_split_text_messages: true, should_auto_change_step: true},
model_config: {temperature: 1, top_p: 0.5},
specialist_config: {icp_description: '<string>'},
avatar_color: '<string>',
avatar_initials: '<string>',
personality_presets: [],
knowledge_base: ['<string>']
})
};
fetch('https://api.nuvia.ai/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuvia.ai/v1/agents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'welcome_message' => [
'content' => '<string>',
'resourceId' => '<string>'
],
'prompts' => [
'service_prompt' => '<string>',
'name' => '<string>',
'role' => '<string>',
'mission' => '<string>',
'personality' => [
[
'type' => 'text',
'content' => '<string>'
]
],
'communication_style' => [
[
'type' => 'text',
'content' => '<string>'
]
],
'rules' => [
[
'type' => 'text',
'content' => '<string>'
]
],
'use_sender_name' => true
],
'agent_flow' => '<string>',
'general_config' => [
'should_split_text_messages' => true,
'should_auto_change_step' => true
],
'model_config' => [
'temperature' => 1,
'top_p' => 0.5
],
'specialist_config' => [
'icp_description' => '<string>'
],
'avatar_color' => '<string>',
'avatar_initials' => '<string>',
'personality_presets' => [
],
'knowledge_base' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nuvia.ai/v1/agents/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"welcome_message\": {\n \"content\": \"<string>\",\n \"resourceId\": \"<string>\"\n },\n \"prompts\": {\n \"service_prompt\": \"<string>\",\n \"name\": \"<string>\",\n \"role\": \"<string>\",\n \"mission\": \"<string>\",\n \"personality\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"communication_style\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"rules\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"use_sender_name\": true\n },\n \"agent_flow\": \"<string>\",\n \"general_config\": {\n \"should_split_text_messages\": true,\n \"should_auto_change_step\": true\n },\n \"model_config\": {\n \"temperature\": 1,\n \"top_p\": 0.5\n },\n \"specialist_config\": {\n \"icp_description\": \"<string>\"\n },\n \"avatar_color\": \"<string>\",\n \"avatar_initials\": \"<string>\",\n \"personality_presets\": [],\n \"knowledge_base\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.nuvia.ai/v1/agents/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"welcome_message\": {\n \"content\": \"<string>\",\n \"resourceId\": \"<string>\"\n },\n \"prompts\": {\n \"service_prompt\": \"<string>\",\n \"name\": \"<string>\",\n \"role\": \"<string>\",\n \"mission\": \"<string>\",\n \"personality\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"communication_style\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"rules\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"use_sender_name\": true\n },\n \"agent_flow\": \"<string>\",\n \"general_config\": {\n \"should_split_text_messages\": true,\n \"should_auto_change_step\": true\n },\n \"model_config\": {\n \"temperature\": 1,\n \"top_p\": 0.5\n },\n \"specialist_config\": {\n \"icp_description\": \"<string>\"\n },\n \"avatar_color\": \"<string>\",\n \"avatar_initials\": \"<string>\",\n \"personality_presets\": [],\n \"knowledge_base\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuvia.ai/v1/agents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"welcome_message\": {\n \"content\": \"<string>\",\n \"resourceId\": \"<string>\"\n },\n \"prompts\": {\n \"service_prompt\": \"<string>\",\n \"name\": \"<string>\",\n \"role\": \"<string>\",\n \"mission\": \"<string>\",\n \"personality\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"communication_style\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"rules\": [\n {\n \"type\": \"text\",\n \"content\": \"<string>\"\n }\n ],\n \"use_sender_name\": true\n },\n \"agent_flow\": \"<string>\",\n \"general_config\": {\n \"should_split_text_messages\": true,\n \"should_auto_change_step\": true\n },\n \"model_config\": {\n \"temperature\": 1,\n \"top_p\": 0.5\n },\n \"specialist_config\": {\n \"icp_description\": \"<string>\"\n },\n \"avatar_color\": \"<string>\",\n \"avatar_initials\": \"<string>\",\n \"personality_presets\": [],\n \"knowledge_base\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"_id": {},
"name": "<string>",
"agent_flow": {
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>",
"type": "N8N"
},
"prompts": {
"service_prompt": "<string>",
"name": "<string>",
"role": "<string>",
"mission": "<string>",
"personality": [
{}
],
"communication_style": [
{}
],
"rules": [
{}
],
"use_sender_name": true
},
"company": {
"_id": {},
"name": "<string>",
"channels": [
"WAP_AUTO_CLOSER"
],
"agent_flows": [
{
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>",
"type": "N8N"
}
],
"description": "<string>",
"status": "ACTIVE",
"domains": [
"<string>"
],
"site": "<string>",
"general_config": {},
"agent_builder_mcp_enabled": true,
"client_mcp_servers_enabled": true,
"auto_join_enabled": true,
"subscription": {},
"document_type": "br_cnpj",
"document_number": "<string>",
"stripe_customer_id": "<string>",
"billing_external": true,
"billing_partner": true,
"onboarding": {},
"attribution": {}
},
"model_config": {},
"status": "ACTIVE",
"general_config": {},
"specialist_config": {},
"knowledge_base": [
{}
],
"avatar_color": "<string>",
"avatar_initials": "<string>",
"personality_presets": [
"FRIENDLY"
],
"steps": [
{
"_id": {},
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"order": 123,
"type": "INITIAL",
"agent": "<unknown>",
"company": {
"_id": {},
"name": "<string>",
"channels": [
"WAP_AUTO_CLOSER"
],
"agent_flows": [
{
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>",
"type": "N8N"
}
],
"description": "<string>",
"status": "ACTIVE",
"domains": [
"<string>"
],
"site": "<string>",
"general_config": {},
"agent_builder_mcp_enabled": true,
"client_mcp_servers_enabled": true,
"auto_join_enabled": true,
"subscription": {},
"document_type": "br_cnpj",
"document_number": "<string>",
"stripe_customer_id": "<string>",
"billing_external": true,
"billing_partner": true,
"onboarding": {},
"attribution": {}
},
"mentions": [
{}
],
"general_config": {
"disable_followups": true,
"should_auto_run_on_enter": true,
"disable_ai_response": true
},
"meta_event_name": "ViewContent",
"stage_criteria": "<string>"
}
]
}Authorizations
JWT authentication token
Headers
Target company identifier. Required only for global API keys (type=global). Ignored for company API keys and human users.
Path Parameters
Agent ID
Body
The agent's name on the platform.
Welcome message. null removes it.
Show child attributes
Show child attributes
The agent's prompts. Only the fields sent change; lists sent replace the current ones.
Show child attributes
Show child attributes
ID of the agent's execution flow.
1The agent's status.
ACTIVE, DRAFT, INACTIVE, DELETED General settings of the agent
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Specialist settings (qualification and ICP)
Show child attributes
Show child attributes
The agent's avatar color.
Initials shown on the avatar (up to 2 characters).
2Ready-made personality profiles (up to 3).
3FRIENDLY, DIDACTIC, CURIOUS, FORMAL, PLAYFUL, PERSUASIVE IDs of the knowledge items the agent consults.
Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
ACTIVE, DRAFT, INACTIVE, DELETED FRIENDLY, DIDACTIC, CURIOUS, FORMAL, PLAYFUL, PERSUASIVE Show child attributes
Show child attributes